import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
public class DieController extends JButton implements ActionListener {
    private GraphicDie theDie;
    private DieModel model;
    private DieView view;
    public DieController(DieModel model, DieView view, GraphicDie theDie) {
        this.model = model;
        this.view = view;
        this.theDie = theDie;
        addActionListener(this);
        setText("KASTA");
    }//constructor
    public void actionPerformed(ActionEvent e) {
            theDie.roll();
            theDie.repaint();
            model.update(theDie.getValue());
            view.update();
    }//actionPerformed
}//DieController
